unit Unit7;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, jpeg, ExtCtrls,unit2;

type
  TForm7 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Image1: TImage;
    Label4: TLabel;
    Button1: TButton;
    Button2: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
     private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form7: TForm7;
  a,b,c,d:integer;

implementation

{$R *.dfm}

procedure TForm7.Button2Click(Sender: TObject);
begin
d:=0;
if Edit1.Text='Брэгговские решетки' then a:=1 else
  if Edit1.Text='брэгговские решетки' then a:=1 else
    if Edit1.Text='Брэгговская решетка' then a:=1 else
      if Edit1.Text='брэгговская решетка' then a:=1 else a:=0;
if edit2.Text='Настройка УФ' then b:=1 else
  if edit2.Text='Настройка уф' then b:=1 else
    if edit2.Text='настройка УФ' then b:=1 else
      if edit2.Text='настройка уф' then b:=1 else b:=0;
if edit3.Text='Одинаковые брэгговские решетки' then c:=1 else
  if edit3.Text='Одинаковые Брэгговские решетки' then c:=1 else
    if edit3.Text='одинаковые Брэгговские решетки' then c:=1 else
      if edit3.Text='одинаковые брэгговские решетки' then c:=1 else c:=0;

d:=a+b+c;
if d=3 then
begin
  unit2.p1:=true;
  unit2.form2.done1.visible:=true;
  unit2.form2.praktika2.Visible:=true;
 ShowMessage('Задание решено верно');
 Form7.Close;
end
else
 ShowMessage('Задание решено неверно с '+IntToStr(3-d)+' ошибками');
end;

procedure TForm7.Button1Click(Sender: TObject);
begin
Form7.Close;
end;

end.
